Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024006
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2013-06-06 12:292015-08-05 09:37
ReporterVictorVillarView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision65f24328639f
ProjectionnoneETAnoneTarget Version3.0MP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024006: The Costing Migration Process should be improved to avoid performance problems.

DescriptionThere is a performance problem in the CostingMigrationProcess.java in line: 421

OBDal.getInstance().refresh(icl.getPhysInventory());

For each transaction the time spent for the process is more or less 5/10 seconds.

The solution should be create a new column in the physical inventory line table, by default should be null. In the costing rule process (CostingRuleProcess.java, method createCostingRuleInits, line 312 when inserting inventory lines) there will be a relation between the Closing inventory line and the opening inventory line. It means that the Opening Invenotry line should have the Closing inventory line ID.
Then, in the moment that the cost is calculated for the Opening Inventory line , the process should use this new relation. Please check the Costing Migration Process and when you validate a new costing rule
Steps To ReproduceThere is a performance problem in the CostingMigrationProcess.java in line: 421

OBDal.getInstance().refresh(icl.getPhysInventory());

For each transaction the time spent for the process is more or less 5/10 seconds.

Proposed SolutionThe solution should be create a new column in the physical inventory line table, by default should be null. In the costing rule process (CostingRuleProcess.java, method createCostingRuleInits, line 312 when inserting inventory lines) there will be a relation between the Closing inventory line and the opening inventory line. It means that the Opening Invenotry line should have the Closing inventory line ID.
Then, in the moment that the cost is calculated for the Opening Inventory line , the process should use this new relation. Please check the Costing Migration Process and when you validate a new costing rule
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030451 closedaferraz Performance Problems on the Costing Migration Process 
related to defect 0035959 closedmarkmm82 Performance problem in Costing Migration Process with high volume of records in m_transaction table 

-  Notes
(0059695)
hgbot (developer)
2013-06-27 10:50

Repository: erp/devel/pi
Changeset: 65f24328639f32543a50accc7f0466fab520080a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Jun 25 17:24:28 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/65f24328639f32543a50accc7f0466fab520080a [^]

Fixed bug 24006 Costing Migration should be improved to avoid performance problems

---
M src-db/database/model/tables/M_INVENTORYLINE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0059696)
hgbot (developer)
2013-06-27 10:50

Repository: erp/devel/pi
Changeset: 0e12840623f5ddd32a987b6285134b2f0b0f671a
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Jun 26 20:36:13 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0e12840623f5ddd32a987b6285134b2f0b0f671a [^]

Related to issue 24006

---
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0059699)
pramakrishnan (developer)
2013-06-27 11:11

Code Review + Testing - OK.
(0059780)
hudsonbot (developer)
2013-06-28 22:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/afdf98dd7db9 [^]

Maturity status: Test
(0059781)
hudsonbot (developer)
2013-06-28 22:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/afdf98dd7db9 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-06-06 12:29 VictorVillar New Issue
2013-06-06 12:29 VictorVillar Assigned To => dmiguelez
2013-06-06 12:29 VictorVillar Modules => Core
2013-06-06 12:29 VictorVillar Triggers an Emergency Pack => No
2013-06-06 12:29 VictorVillar Issue Monitored: networkb
2013-06-12 11:37 pramakrishnan Assigned To dmiguelez => pramakrishnan
2013-06-12 11:37 pramakrishnan Status new => scheduled
2013-06-12 11:37 pramakrishnan fix_in_branch => pi
2013-06-27 10:50 hgbot Checkin
2013-06-27 10:50 hgbot Note Added: 0059695
2013-06-27 10:50 hgbot Status scheduled => resolved
2013-06-27 10:50 hgbot Resolution open => fixed
2013-06-27 10:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/65f24328639f32543a50accc7f0466fab520080a [^]
2013-06-27 10:50 hgbot Checkin
2013-06-27 10:50 hgbot Note Added: 0059696
2013-06-27 11:11 pramakrishnan Review Assigned To => pramakrishnan
2013-06-27 11:11 pramakrishnan Note Added: 0059699
2013-06-27 11:11 pramakrishnan Status resolved => closed
2013-06-28 22:51 hudsonbot Checkin
2013-06-28 22:51 hudsonbot Note Added: 0059780
2013-06-28 22:51 hudsonbot Checkin
2013-06-28 22:51 hudsonbot Note Added: 0059781
2015-08-05 09:37 ngarcia Relationship added related to 0030451
2017-05-09 12:37 aferraz Relationship added related to 0035959


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker